GET/shop

Get Shop

Get Shop

Implementation Notes

Retrieves a list of active shops with their configuration details. You can also fetch a specific shop by providing its shopId as a query parameter.

GET/shop

Parameter Details

NameInTypeRequiredDescription
shopIdqueryintegerOptionalnone

Responses

StatusMeaningDescriptionSchema
200OKSuccess
400Bad RequestBad RequestNone
401UnauthorizedAuthentication Failed or Account validity ExpiredNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X GET /shop \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Example responses

200 Response
{
  "shopId": 0,
  "name": "string",
  "horizon": 0,
  "horizonExpression": "",
  "horizonRange": "",
  "market": "string",
  "websiteCode": 0,
  "shopType": 0,
  "destId": "string",
  "destType": "string",
  "city": "string"
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.